components/logilab-common/logilab-common-26.p5m
changeset 3732 0f62cc221c7e
parent 1948 2d1537e7942d
--- a/components/logilab-common/logilab-common-26.p5m	Fri Jan 23 17:31:40 2015 -0800
+++ b/components/logilab-common/logilab-common-26.p5m	Tue Feb 03 19:24:25 2015 -0800
@@ -18,24 +18,25 @@
 #
 # CDDL HEADER END
 #
-# Copyright (c) 2011, 2014, Oracle and/or its affiliates. All rights reserved.
+# Copyright (c) 2011, 2015, Oracle and/or its affiliates. All rights reserved.
 #
 
 <transform file path=usr.*/man/.+ -> default mangler.man.stability uncommitted>
 set name=pkg.fmri \
     value=pkg:/library/python/[email protected]$(IPS_COMPONENT_VERSION),$(BUILD_VERSION)
+set name=pkg.summary value="common python libraries for logilab applications"
 set name=pkg.description \
     value="Modules providing low level functionality shared among various python projects."
-set name=pkg.summary value="common python libraries for logilab applications"
-set name=com.oracle.info.description value="the logilab-common Python 2.6 module"
+set name=com.oracle.info.description \
+    value="the logilab-common Python 2.6 module"
 set name=com.oracle.info.tpno value=$(TPNO)
 set name=info.classification \
     value=org.opensolaris.category.2008:Development/Python
 set name=info.source-url value=$(COMPONENT_ARCHIVE_URL)
 set name=info.upstream-url value=$(COMPONENT_PROJECT_URL)
-set name=org.opensolaris.arc-caseid \
-    value=LSARC/2009/298
+set name=org.opensolaris.arc-caseid value=LSARC/2009/298
 set name=org.opensolaris.consolidation value=$(CONSOLIDATION)
+link path=usr/bin/pytest target=pytest-2.6 mediator=python mediator-version=2.6
 
 
 file path=usr/bin/pytest-2.6
@@ -77,55 +78,40 @@
 file path=usr/lib/python2.6/vendor-packages/logilab/common/textutils.py
 file path=usr/lib/python2.6/vendor-packages/logilab/common/tree.py
 file path=usr/lib/python2.6/vendor-packages/logilab/common/umessage.py
-file \
-    path=usr/lib/python2.6/vendor-packages/logilab/common/ureports/__init__.py
-file \
-    path=usr/lib/python2.6/vendor-packages/logilab/common/ureports/docbook_writer.py
-file \
-    path=usr/lib/python2.6/vendor-packages/logilab/common/ureports/html_writer.py
+file path=usr/lib/python2.6/vendor-packages/logilab/common/ureports/__init__.py
+file path=usr/lib/python2.6/vendor-packages/logilab/common/ureports/docbook_writer.py
+file path=usr/lib/python2.6/vendor-packages/logilab/common/ureports/html_writer.py
 file path=usr/lib/python2.6/vendor-packages/logilab/common/ureports/nodes.py
-file \
-    path=usr/lib/python2.6/vendor-packages/logilab/common/ureports/text_writer.py
+file path=usr/lib/python2.6/vendor-packages/logilab/common/ureports/text_writer.py
 file path=usr/lib/python2.6/vendor-packages/logilab/common/urllib2ext.py
 file path=usr/lib/python2.6/vendor-packages/logilab/common/vcgutils.py
 file path=usr/lib/python2.6/vendor-packages/logilab/common/visitor.py
 file path=usr/lib/python2.6/vendor-packages/logilab/common/xmlrpcutils.py
 file path=usr/lib/python2.6/vendor-packages/logilab/common/xmlutils.py
-file \
-    path=usr/lib/python2.6/vendor-packages/logilab_common-$(COMPONENT_VERSION)-py2.6-nspkg.pth
-file \
-    path=usr/lib/python2.6/vendor-packages/logilab_common-$(COMPONENT_VERSION)-py2.6.egg-info/PKG-INFO
-file \
-    path=usr/lib/python2.6/vendor-packages/logilab_common-$(COMPONENT_VERSION)-py2.6.egg-info/SOURCES.txt
-file \
-    path=usr/lib/python2.6/vendor-packages/logilab_common-$(COMPONENT_VERSION)-py2.6.egg-info/dependency_links.txt
-file \
-    path=usr/lib/python2.6/vendor-packages/logilab_common-$(COMPONENT_VERSION)-py2.6.egg-info/namespace_packages.txt
-file \
-    path=usr/lib/python2.6/vendor-packages/logilab_common-$(COMPONENT_VERSION)-py2.6.egg-info/requires.txt
-file \
-    path=usr/lib/python2.6/vendor-packages/logilab_common-$(COMPONENT_VERSION)-py2.6.egg-info/top_level.txt
-
-link path=usr/bin/pytest target=pytest-2.6 \
-    mediator=python mediator-version=2.6
-
+file path=usr/lib/python2.6/vendor-packages/logilab_common-$(COMPONENT_VERSION)-py2.6-nspkg.pth
+file path=usr/lib/python2.6/vendor-packages/logilab_common-$(COMPONENT_VERSION)-py2.6.egg-info/PKG-INFO
+file path=usr/lib/python2.6/vendor-packages/logilab_common-$(COMPONENT_VERSION)-py2.6.egg-info/SOURCES.txt
+file path=usr/lib/python2.6/vendor-packages/logilab_common-$(COMPONENT_VERSION)-py2.6.egg-info/dependency_links.txt
+file path=usr/lib/python2.6/vendor-packages/logilab_common-$(COMPONENT_VERSION)-py2.6.egg-info/namespace_packages.txt
+file path=usr/lib/python2.6/vendor-packages/logilab_common-$(COMPONENT_VERSION)-py2.6.egg-info/requires.txt
+file path=usr/lib/python2.6/vendor-packages/logilab_common-$(COMPONENT_VERSION)-py2.6.egg-info/top_level.txt
+#
 license logilab-common.license license=LGPLv2.1,GPLv2
 
-# pkgdepend should have picked up the dependency on /library/python/pyorbit-26;
-# this explicit depend action can be removed if pkgdepend is fixed later
-depend fmri=__TBD \
-    pkg.debug.depend.file=usr/lib/python2.6/vendor-packages/CORBA.py \
-    pkg.debug.reason=usr/lib/python2.6/vendor-packages/logilab/common/corbautils.py \
-    type=require
-
-# force a dependency on the Python 2.6 runtime
-depend fmri=__TBD pkg.debug.depend.file=python2.6 \
-       pkg.debug.depend.path=usr/bin type=require
-
-# force a dependency on the logilab-common package
-depend fmri=library/python/[email protected]$(IPS_COMPONENT_VERSION),$(BUILD_VERSION) \
-    type=require
-
 # force the rename with an optional dependency on the old name
 depend type=optional \
     fmri=library/python-2/[email protected],5.12-5.12.0.0.0.41.0
+
+# force a dependency on the Python 2.6 runtime
+depend type=require fmri=__TBD pkg.debug.depend.file=python2.6 \
+    pkg.debug.depend.path=usr/bin
+
+# pkgdepend should have picked up the dependency on /library/python/pyorbit-26;
+# this explicit depend action can be removed if pkgdepend is fixed later
+depend type=require fmri=__TBD \
+    pkg.debug.depend.file=usr/lib/python2.6/vendor-packages/CORBA.py \
+    pkg.debug.reason=usr/lib/python2.6/vendor-packages/logilab/common/corbautils.py
+
+# force a dependency on the logilab-common package
+depend type=require \
+    fmri=library/python/[email protected]$(IPS_COMPONENT_VERSION),$(BUILD_VERSION)